Skip to main content
PATCH
/
{team_id}
/
time
/
entries
/
{time_entry_id}
Update a time entry
curl --request PATCH \
  --url https://api.superthread.com/v1/{team_id}/time/entries/{time_entry_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "billable": true,
  "duration_seconds": 123,
  "started_at": 1608742037016
}
'
import requests

url = "https://api.superthread.com/v1/{team_id}/time/entries/{time_entry_id}"

payload = {
"description": "<string>",
"billable": True,
"duration_seconds": 123,
"started_at": 1608742037016
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
billable: true,
duration_seconds: 123,
started_at: 1608742037016
})
};

fetch('https://api.superthread.com/v1/{team_id}/time/entries/{time_entry_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "time_entry": {
    "id": "01HQK6Z9YJZ4M9JX8FVB6QXYAB",
    "type": "time_entry",
    "team_id": "tDsu0j19",
    "scope_type": "card",
    "scope_id": "2700",
    "user_id": "uR2dws11",
    "started_at": 1608742037016,
    "duration_seconds": 1800,
    "description": "Pairing with Alex on the API spec",
    "billable": true,
    "rate_snapshot_cents": 12500,
    "deleted_at": 1608742037016,
    "locked_at": 1608742037016,
    "time_created": 1608742037016,
    "time_updated": 1608742037016
  }
}
{
"error": {
"id": "err5f744ab",
"code": 403,
"sec": "SEC:000-00014",
"message": "You do not have access to this resource",
"date": 1608742037016
}
}
{
"error": {
"id": "err5f744ab",
"code": 403,
"sec": "SEC:000-00014",
"message": "You do not have access to this resource",
"date": 1608742037016
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".

time_entry_id
string
required

Time Entry ID (client-supplied ULID).

Body

application/json
description
string | null
billable
boolean | null
duration_seconds
integer<int64> | null
started_at
integer<int64> | null

unix timestamp in seconds

Example:

1608742037016

Response

Updated time entry

time_entry
object